dynare (6.5-1build2) resolute; urgency=medium

  * No-change rebuild for new octave.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 16 Mar 2026 22:53:08 +0100

dynare (6.5-1build1) resolute; urgency=medium

  * No-change rebuild for libmatio14.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 31 Jan 2026 12:26:23 +0000

dynare (6.5-1) unstable; urgency=medium

  * New upstream version 6.5

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 20 Dec 2025 20:31:06 +0100

dynare (6.4-4) unstable; urgency=medium

  * Rebuild against libslicot5
  * d/control: dynare-matlab now depends on libslicot64-pic.
    The ILP64 static PIC library is no longer in libslicot-pic.
  * d/rules: simplify obtaining the Octave library directory path

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 18 Nov 2025 10:14:01 +0100

dynare (6.4-3) unstable; urgency=medium

  * d/rules: pass Octave private libraries path to dh_shlibdeps.
    Necessary for finding liboctmex and liboctave against which MEX files are
    linked. (Closes: #1114630)
  * d/watch: upgrade to format version 5

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 13 Sep 2025 16:40:03 +0200

dynare (6.4-2) unstable; urgency=medium

  * Upload to unstable
  * Drop “Rules-Requires-Root: no”, which is now the default

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 10 Aug 2025 03:45:02 +0200

dynare (6.4-1) experimental; urgency=medium

  * New upstream version 6.4
  * Bump S-V to 4.7.2

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 27 Jun 2025 11:04:03 +0200

dynare (6.3-1) unstable; urgency=medium

  * New upstream version 6.3
  * d/copyright: reflect upstream changes
  * sphinx8.patch: drop patch, applied upstream

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 20 Feb 2025 10:57:36 +0100

dynare (6.2-2) unstable; urgency=medium

  * sphinx8.patch: new patch, fixes FTBFS against Sphinx 8 (Closes: #1090208)

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 23 Dec 2024 15:59:03 +0100

dynare (6.2-1) unstable; urgency=medium

  * New upstream version 6.2
  * d/copyright: reflect upstream changes
  * Bump Standards-Version to 4.7.0

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 26 Sep 2024 11:37:29 +0200

dynare (6.1-3) unstable; urgency=medium

  * Rebuild against newer dh-elpa (Closes: #1077101)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 28 Jul 2024 11:30:03 +0200

dynare (6.1-2) unstable; urgency=medium

  * d/control: add cm-super to Build-Depends.
    Fixes FTBFS against recent TeX Live versions.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 04 Jun 2024 16:20:32 +0200

dynare (6.1-1) unstable; urgency=medium

  * New upstream version 6.1

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 02 May 2024 17:35:48 +0200

dynare (6.0-1) unstable; urgency=medium

  * New upstream version 6.0
  * Adapt autopkgtest for new location of test files
  * d/upstream/metadata: update citation

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 05 Feb 2024 09:15:09 +0100

dynare (6~beta2-1) experimental; urgency=medium

  * New upstream version 6~beta2
  * d/copyright: reflect upstream changes
  * meson.patch: drop patch, applied upstream

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 22 Jan 2024 18:59:22 +0100

dynare (6~beta1-1) experimental; urgency=medium

  * New upstream version 6~beta1
  * Packaging overhaul following the switch to meson build system.
    Also:
    – remove dependencies on {octave,matlab}-jsonlab, no longer needed.
    – drop dynare++ binary, no longer produced
  * d/copyright: reflect upstream changes
  * README.Debian: no longer mention the upstream Wiki
  * d/upstream/metadata: update paper citation

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 03 Jan 2024 18:46:39 +0100

dynare (5.5-1) unstable; urgency=medium

  * New upstream version 5.5
  * d/copyright: reflect upstream changes
  * gcc-13.patch: drop patch, applied upstream
  * Upstream tarballs are no longer PGP-signed

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 24 Oct 2023 11:40:31 +0200

dynare (5.4-3) unstable; urgency=medium

  * gcc-13.patch: new patch, fixes FTBFS against GCC 13

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 12 Jun 2023 12:17:15 +0200

dynare (5.4-2) unstable; urgency=medium

  * d/rules: enable link-time optimizations (LTO)

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 10 Jun 2023 17:32:20 +0200

dynare (5.4-1) experimental; urgency=medium

  * New upstream version 5.4
  * Update standards version to 4.6.2, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 24 Mar 2023 11:01:40 +0100

dynare (5.3-1) unstable; urgency=medium

  * New upstream version 5.3
  * dynare-matlab.postinst: compile MEX files using parallelization.
    Use as many threads as there are logical processors, as returned by “nproc”.
  * Remove an obsolete maintscript entry.

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 21 Nov 2022 12:58:21 +0100

dynare (5.2-1) unstable; urgency=medium

  * New upstream version 5.2
  * Drop patches applied upstream
    + octave7.patch
    + gcc-12.patch
  * Trim trailing whitespace.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 29 Jul 2022 14:27:26 +0200

dynare (5.1-3) unstable; urgency=medium

  [ Rafael Laboissière ]
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)

  [ Sébastien Villemot ]
  * Build-Depend on octave-dev instead of liboctave-dev
  * gcc-12.patch: new patch, fixes FTBFS against GCC 12 (Closes: #1012917)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 24 Jul 2022 10:26:58 +0200

dynare (5.1-2) unstable; urgency=medium

  * octave7.patch: new patch, fixes FTBFS against Octave 7 (Closes: #1009130)

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 19 Apr 2022 12:47:59 +0200

dynare (5.1-1) unstable; urgency=medium

  * New upstream version 5.1
  * d/copyright: reflect upstream changes
  * d/control: liboctave-dev has been renamed to octave-dev
  * Use packaged JSONLab
    + use-packaged-jsonlab.patch: new patch
    + Add Depends of dynare on octave-jsonlab
    + Add Depends of dynare-matlab on matlab-jsonlab

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 07 Apr 2022 11:18:50 +0200

dynare (5.0-1) unstable; urgency=medium

  * New upstream version 5.0
  * Adapt autopkgtests for new output folder location
  * Drop Built-Using field for arch:all dynare-doc package, per lintian advice

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 07 Jan 2022 17:03:33 +0100

dynare (5.0~rc1-1) experimental; urgency=medium

  * New upstream version 5.0~rc1
  * d/copyright: reflect upstream changes

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 04 Jan 2022 13:58:37 +0100

dynare (4.7~beta3-1) experimental; urgency=medium

  * New upstream version 4.7~beta3
  * d/copyright: reflect upstream changes
  * sphinx4.patch, destdir.patch: drop patches, applied upstream
  * dynare++.1: fix reference to documentation package

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 27 Nov 2021 15:40:52 +0100

dynare (4.7~beta2-1) experimental; urgency=medium

  * New upstream version 4.7~beta2
  * d/copyright: reflect upstream changes
  * which-deprecation.patch: drop patch, applied upstream
  * sphinx4.patch: new patch, fixes FTBFS against sphinx 4
  * d/control: add Build-Depends on tex-gyre, needed for sphinx 4
  * destdir.patch: new patch, fixes build system bug with DESTDIR
  * dynare.install: dynare-preprocessor now installed in /usr/bin
  * dynare-doc.docs: update paths now that docs are installed by build system
  * dynare-matlab.postinst: no longer pass MATLAB_VERSION to configure script.
    It is now autodetected.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 06 Oct 2021 15:28:52 +0200

dynare (4.6.4-2) unstable; urgency=medium

  * dynare-matlab.postinst: replace “which” by “command -v”
    The “which” command is non-standard and deprecated.
  * which-deprecation.patch: new patch backported from upstream.
    Fixes problems related to the deprecation of “which” in Bookworm.
  * dynare-matlab: remove backup file “configure~” to make lintian happy

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 09 Sep 2021 12:27:05 +0200

dynare (4.6.4-1) unstable; urgency=medium

  * New upstream version 4.6.4
  * d/copyright: reflect upstream changes
  * Drop patches applied upstream:
    + texlive-20201203.patch
    + octave6.patch
  * Bump S-V to 4.6.0

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 22 Aug 2021 20:14:58 +0200

dynare (4.6.3-4) unstable; urgency=medium

  * octave6.patch: new patch, various compatibility fixes for octave 6

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 08 Jan 2021 12:50:45 +0100

dynare (4.6.3-3) unstable; urgency=medium

  * Add epstool to autopkgtest dependencies, needed since octave 6

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 10 Dec 2020 22:22:05 +0100

dynare (4.6.3-2) unstable; urgency=medium

  * texlive-20201203.patch: new patch, fixes FTBFS against
    texlive-base ≥ 20201203 (Closes: #976501)

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 08 Dec 2020 16:25:34 +0100

dynare (4.6.3-1) unstable; urgency=medium

  * New upstream version 4.6.3
  * Bump S-V to 4.5.1
  * Make generated PDFs reproducible.
    Thanks to Vagrant Cascadian (Closes: #974957)
  * Remove auto-generated files which cause reproducibility issues.
    Thanks to Vagrant Cascadian (Closes: #974959)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 25 Nov 2020 09:44:32 +0100

dynare (4.6.2-1) unstable; urgency=medium

  * New upstream version 4.6.2
  * sphinx3.patch: drop patch, applied upstream

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 07 Sep 2020 17:20:36 +0200

dynare (4.6.1-2) unstable; urgency=medium

  [ Rafael Laboissière ]
  * d/u/metadata: Drop Name and Contact fields

  [ Sébastien Villemot ]
  * Various improvements to d/upstream/metadata
  * Bump to debhelper 13
  * sphinx3.patch: new patch, fixes FTBFS against Sphinx 3.1 (Closes: #963646)
  * Ship /usr/lib/dynare/dynare++/dynare_simul.m
  * Add /usr/bin/dynare_m to debian/not-installed.
    Upstream does not really intend to make it a system-wide executable.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 11 Aug 2020 16:10:32 +0200

dynare (4.6.1-1) unstable; urgency=medium

  * New upstream version 4.6.1
  * d/copyright, d/watch: drop provisions for removing embedded MathJax
  * Drop elisp-fixes.patch and missing-clean.patch, no longer needed
  * d/rules: use upstream version number for dh_elpa package version

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 13 Mar 2020 15:23:42 +0100

dynare (4.6.0+dfsg-2) unstable; urgency=medium

  * d/rules: fix binary-arch rule

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 25 Feb 2020 16:18:24 +0100

dynare (4.6.0+dfsg-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * New upstream version 4.6.0+dfsg
  * d/copyright, d/watch: provisions for removing embedded MathJax in 4.6.0
  * d/copyright: reflect upstream changes
  * Various packaging changes for the new version
    — New patches: missing-clean.patch, elisp-fixes.patch
    — Reference manual now uses sphinx:
      + Build-Depends on python3-sphinx and latexmk
      + use dh_sphinxdoc in d/rules
      + new use-debian-mathjax.patch
      + dynare-doc now Depends on libjs-mathjax
      + update list of texlive packages in Build-Depends
      + drop Build-Depends on texinfo and latex2html
      + drop dynare-doc.info
    — octave-statistics is now a hard Depends of dynare
    — dynare now Suggests x13as
    — d/rules: use debhelper 12.8’s execute_{before,after} targets
    — d/rules: pass --disable-matlab to configure, and therefore add a hack so
      that “make distclean” still works
    — dynare-doc: ship README.md, CONTRIBUTING.md and dseriesReporting.pdf;
      user guide no longer produced
    — dynare-matlab: add Depends on libgsl-dev, drop Depends on gfortran
  * Mark autopkgtest as superficial (they only run simple examples)
  * Drop obsolete d/source/{include-binaries,options}

  [ Rafael Laboissière ]
  * d/control: Bump Standards-Version to 4.5.0 (no changes needed)

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 25 Feb 2020 15:11:32 +0100

dynare (4.5.7-2) unstable; urgency=medium

  * Team upload

  * d/control:
    + Bump Standards-Version to 4.4.1 (no changes needed)
    + Bump build-dependency on dh-octave to >= 0.7.1.
      This allows injection of the dependency on the virtual package
      octave-abi-N.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 14 Nov 2019 12:05:34 -0300

dynare (4.5.7-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * New upstream version 4.5.7
  * d/u/signing-key.asc: update for new upstream signing keys
  * d/copyright: reflect upstream changes
  * Update for new upstream URLs
  * Bump to debhelper compat level 12
  * Change src paths in dynare-doc.{examples,info} to make dh_missing happy
  * HTML manual: adapt for latex2html now producing SVGs instead of PNGs

  [ Rafael Laboissiere ]
  * d/control: Bump Standards-Version to 4.3.0 (no changes needed)
  * Build-depend on debhelper-compat instead of using d/compat

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 12 Feb 2019 09:55:32 +0100

dynare (4.5.6-1) unstable; urgency=medium

  * New upstream version 4.5.6
  * Add Rules-Requires-Root: no
  * Bump S-V to 4.1.5

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 26 Jul 2018 14:56:38 +0200

dynare (4.5.5-3) unstable; urgency=medium

  * Generate versioned dependency on octave.
    This is to avoid the situation where the dependency on liboctaveNN is
    satisfied but does not correspond to the version of octave installed.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 17 Jun 2018 14:39:36 +0200

dynare (4.5.5-2) unstable; urgency=medium

  * Add fonts-freefont-otf to test dependencies (for Octave 4.4)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 13 Jun 2018 21:27:20 +0200

dynare (4.5.5-1) unstable; urgency=medium

  * New upstream version 4.5.5
  * d/copyright: reflect upstream changes
  * Drop texlive2018.patch, applied upstream
  * dynare-matlab.postinst: fix logic for detecting MATLAB version.
    The test was broken with newer MATLAB versions.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 09 Jun 2018 15:58:26 +0200

dynare (4.5.4-2) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * d/rules: Remove the unnecessary get-orig-source target
  * d/control: Bump Standards-Version to 4.1.4

  [ Sébastien Villemot ]
  * texlive2018.patch: new patch, fixes FTBFS with TeX Live 2018.
    Thanks to Adrian Bunk (Closes: #896480)

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 23 Apr 2018 18:00:16 +0200

dynare (4.5.4-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * New upstream version 4.5.4
  * d/copyright: reflect upstream changes.
  * Bump to debhelper compat level 11.
    Incidentally, documentation now installed under /usr/share/doc/dynare.
  * Bump Standards-Version to 4.1.3.
  * Fix registration of *.info files into doc-base.
  * Remove leftover conffile in /etc/emacs/site-start.d/50dynare.el.

  [ Rafael Laboissiere ]
  * d/control: Use Debian's GitLab URLs in Vcs-* headers
  * d/control: Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 03 Feb 2018 21:37:00 +0100

dynare (4.5.3-1) unstable; urgency=medium

  * New upstream version 4.5.3

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 20 Oct 2017 10:19:29 +0200

dynare (4.5.2-1) unstable; urgency=medium

  * New upstream version 4.5.2
  * emacs-use-autoload-magic-comment.patch: drop patch, applied upstream.
  * Drop workaround for nodoc option, no longer needed with debhelper ≥ 10.8.
  * Add link to new wiki in README.Debian.
  * Convert d/upstream/signing-key.pgp to .asc format.
  * Use secure URL in d/watch.
  * Bump Standards-Version to 4.1.1.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 19 Oct 2017 10:22:00 +0200

dynare (4.5.1-1) unstable; urgency=medium

  * New upstream version 4.5.1
  * d/p/octave-4.0.patch: drop patch, no longer needed.
  * d/control: require at least Octave 4.2 in Build-Deps.
  * Drop patches applied upstream.
    + clean-julia-preprocessor.patch
    + drop-texi2html.patch
    + license-files-install.patch
    + typos.patch
  * Switch to dh-elpa for providing the Emacs mode.
    + d/dynare.emacsen*: dropped
    + d/dynare.install: no longer manually install dynare.el
    + d/control: add dh-elpa to Build-Depends
    + d/rules: dh --with elpa
    + d/dynare.elpa: new file
    + d/elpa-test: disable testsuite (non-existent)
    + d/p/emacs-use-autoload-magic-comment.patch: new patch for autoload
  * Add two autopkgtests (simple run of small mod-files).

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 25 Jul 2017 18:10:55 +0200

dynare (4.5.0-1) unstable; urgency=medium

  * New upstream version 4.5.0
  * d/copyright:
    + Reflect upstream changes.
    + Use secure URL for format.
  * New patches taken from upstream:
    + d/p/typos.patch
    + d/p/clean-julia-preprocessor.patch
    + d/p/license-files-install.patch
    + d/p/drop-texi2html.patch
  * Drop patches applied upstream:
    + ilu.patch
    + ordschur.patch
    + warning-language-extension.patch
  * d/p/octave-4.0.patch: new patch, removes a warning with Octave 4.0.
  * Bump to debhelper compat level 10.
  * d/rules: support "nodoc" option of DEB_BUILD_OPTIONS.
  * d/control:
    + (dynare-matlab) Drop old alternatives on the boost dep.
      (Closes: #833772)
    + Drop unnecessary versioned dependency on libboost-graph-dev.
    + (dynare) Drop recommends on matlab2tikz, no longer used.
    + Update the list of texlive dependencies (to match new package
      organization).
    + No longer Build-Depend on texi2html.
    + Add lmodern to Build-Depends.
    + Bump to Standards-Version 4.0.0.
    + Mark dynare-doc as M-A foreign.
    + Use secure URLs for Vcs-* fields.
  * d/watch: bump to format version 4.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 29 Jun 2017 12:54:53 +0200

dynare (4.4.3-3) unstable; urgency=medium

  * d/upstream/metadata: fix outdated URLs.
  * d/control: Update build dependencies for GSL 2.
    Change libgsl0-dev to libgsl-dev.
    Thanks to Bas Couwenberg (Closes: #807197)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 06 Dec 2015 21:52:35 +0100

dynare (4.4.3-2) unstable; urgency=medium

  * New patches for Octave 4.0 compatibility, taken from upstream:
    - ordschur.patch
    - ilu.patch
    - warning-language-extension.patch
  * Bump Standards-Version to 3.9.6, no changes needed.
  * d/copyright: ensure that license names are unique.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 21 Jul 2015 11:19:17 +0200

dynare (4.4.3-1) unstable; urgency=medium

  * Imported Upstream version 4.4.3
  * Use the new upstream "make install" rule.
     + The whole package is now installed under /usr/lib/dynare/.
     + As a consequence, drop the dynare-common package.
     + fhs-compliance.patch: removed, no longer needed.
     + hardcode-dynareroot.patch: new patch.
     + Simplify debian/rules, and no longer use Build-Depends-Indep field.
  * Remove Thomas Weber from Uploaders.
  * Add libboost-graph1.55-dev as alternate dependency to dynare-matlab.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 31 Jul 2014 20:43:46 +0200

dynare (4.4.2-2) unstable; urgency=medium

  * dynare-matlab: add missing dependency on libmatio-dev. (Closes: #742259)

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 24 Mar 2014 17:41:45 +0100

dynare (4.4.2-1) unstable; urgency=medium

  * Imported Upstream version 4.4.2
  * Rename d/upstream to d/upstream/metadata.
  * Rename d/signing-key.pgp to d/upstream/signing-key.pgp.
  * Simplify debian/dynare-common.emacsen-startup.
  * Add missing debian/dynare-common.emacsen-compat.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 07 Mar 2014 13:43:02 +0000

dynare (4.4.1-1) unstable; urgency=medium

  * Imported Upstream version 4.4.1
  * debian/copyright: reflect upstream changes.
  * Add Recommends matlab2tikz to dynare.
  * debian/watch: add automatic verification of PGP signature.
  * Remove Build-Conflicts on flex and bison.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 17 Jan 2014 15:45:20 +0000

dynare (4.4.0-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Imported Upstream version 4.4.0
  * debian/copyright: reflect upstream changes.
  * Drop patches applied upstream:
    + texlive-2013.patch
    + gcc-4.8.patch
    + no-automake-werror.patch
  * Add libboost-graph1.54-dev as alternate dependency to dynare-matlab.
  * Drop obsolete lintian overrides.
  * Add flex and bison to Build-conflicts.
    This is to avoid breakage with newer versions of these.
  * Use canonical URLs for Vcs-* fields.

  [ Rafael Laboissiere ]
  * Bump to Standards-Version 3.9.5, no changes needed

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 16 Dec 2013 19:29:28 +0100

dynare (4.3.3-5) unstable; urgency=low

  [ Peter Michael Green ]
  * no-automake-werror.patch: new patch, removes -Werror from automake.
    (Closes: #727045)

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 22 Oct 2013 12:34:58 +0000

dynare (4.3.3-4) unstable; urgency=low

  * gcc-4.8.patch: new patch, fixes compatibility with GCC 4.8 (Closes: #701270)

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 30 May 2013 12:25:19 +0200

dynare (4.3.3-3) unstable; urgency=low

  * texlive-2013.patch: new patch, fix FTBFS against recent versions of Tex Live
  * Use dh-autoreconf to ensure recent autotools are used

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 29 May 2013 17:46:37 +0200

dynare (4.3.3-2) unstable; urgency=low

  * Remove obsolete libboost-graph1.50-dev alternative from dynare-matlab deps

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 14 May 2013 14:30:44 +0200

dynare (4.3.3-1) experimental; urgency=low

  * Imported Upstream version 4.3.3
  * fhs-compliance.patch: update patch
  * dynare-matlab: boost 1.53 now satisfies the boost dependency

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 15 Apr 2013 18:18:23 +0200

dynare (4.3.2-1) experimental; urgency=low

  * Imported Upstream version 4.3.2
  * debian/copyright: reflect upstream changes
  * Stricter version dependency between dynare, dynare-common and dynare-matlab
  * dynare-matlab: non-default boost version now satisfies the dependency
    (LP: #1077301)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 23 Jan 2013 04:56:28 +0100

dynare (4.3.1-1) experimental; urgency=low

  * Imported Upstream version 4.3.1
  * debian/watch: reflect upstream changes
  * debian/rules: adjust workarounds for problems in upstream tarballs
  * Use my @debian.org address
  * Remove patches applied upstream.
      + shock-decomposition.patch
      + welfare-computation.patch
  * Remove Christian T. Steiges and Jordi Gutiérrez Hermoso from Uploaders.
    They are no longer active in the maintenance of the package. Thanks to them
    for their help in the past!
  * Remove obsolete DM-Upload-Allowed flag
  * Add dependencies on SLICOT (no longer shipped in the upstream tarball)
      + Add build-dependency on libslicot-dev
      + Add dependency of dynare-matlab on libslicot-pic
  * Bump to Standards-Version 3.9.4, no changes needed
  * README.Debian: remove broken link
  * Complete short description of dynare-common, to make lintian happy
  * debian/copyright: reflect upstream changes
  * Add a debian/upstream file (DEP12)
  * Separate build-indep and build-arch rules to save resources on autobuilders

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 13 Oct 2012 20:50:49 +0200

dynare (4.3.0-2) unstable; urgency=low

  * debian/rules: fix crash when only compiling arch-dependent packages

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Mon, 18 Jun 2012 20:59:56 +0000

dynare (4.3.0-1) unstable; urgency=low

  * Imported Upstream version 4.3.0
  * Add libmatio-dev and libgsl0-dev to Build-Depends
  * debian/rules: overrides for wrong perms and MacOS folder in upstream tarball
  * debian/copyright: reflect upstream changes
  * debian/dynare*.install: reflect upstream changes
  * Add octave-statistics and octave-control to Recommends of dynare
  * debian/watch: reflect the fact that upstream tarball is now xz compressed
  * Patches:
    + Refreshed:
      - fhs-compliance.patch
    + Removed, applied upstream:
      - ftbfs-gcc-47.patch
      - remove-workaround-octave-32.patch
    + New, imported from upstream:
      - shock-decomposition.patch
      - welfare-computation.patch
  * Ship NEWS files, GSA and parallel toolboxes docs in dynare-doc
  * Add lintian overrides for false positives on hardening in dynare

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Mon, 18 Jun 2012 18:52:22 +0000

dynare (4.2.5-2) unstable; urgency=low

  * ftbfs-gcc-47.patch: new patch (Closes: #672029)
  * remove-workaround-octave-32.patch: new patch

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Tue, 08 May 2012 21:19:38 +0200

dynare (4.2.5-1) unstable; urgency=low

  * Imported Upstream version 4.2.5
  * debian/control:
    + Build-Depend/Depend on Octave 3.6
    + Add missing dependency of dynare-matlab on make
    + dynare now suggests dynare-matlab
    + dynare now recommends octave-io (for reading XLS files)
    + Bump Standards-Version to 3.9.3, no changes needed
    + Remove obsolete Build-conflicts with octave3.0
    + Remove Iulan Udrea from Uploaders, with his consent
  * debian/rules: enable parallel build
  * debian/copyright: upgrade to machine-readable copyright format 1.0
  * Bump to debhelper compat level 9
  * Ship {qzcomplex,ordschur}.oct in package
  * debian/patches/fhs-compliance: refresh patch
  * debian/patches/extra-addpath: adapt for the new shadowed-function warning
  * Add lintian override for spurious extra-license warning

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Tue, 20 Mar 2012 09:55:24 +0100

dynare (4.2.4-1) unstable; urgency=low

  * Imported Upstream version 4.2.4
  * debian/control: add octave-optim to Recommends
  * debian/patches/hardening-ftbfs: remove patch, applied upstream
  * debian/copyright: update upstream email
  * debian/patches/fhs-compliance: refresh patch

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Fri, 02 Dec 2011 17:12:29 +0100

dynare (4.2.2-2) unstable; urgency=low

  * debian/patches/hardening-ftbfs: patch for FTBFS with -Werror=format-security
    (Closes: #646258)
  * debian/rules: build with compilation flags from dpkg-buildflags.
    In particular, with dpkg >= 1.16.1, this enables hardening compilation flags

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Mon, 07 Nov 2011 16:15:32 +0100

dynare (4.2.2-1) unstable; urgency=low

  * Imported Upstream version 4.2.2
  * debian/patches/{doc-cleanup,gcc-4.6}: remove, applied upstream
  * debian/patches/{extra-addpath,fhs-compliance}: refresh, add DEP3 headers
  * debian/copyright: refresh, update to latest DEP5
  * Bump to Debhelper 8
  * Remove useless build dependency on quilt and gnuplot-nox
  * debian/control: rewrite packages description

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Wed, 05 Oct 2011 18:23:47 +0200

dynare (4.2.1-2) unstable; urgency=low

  [ Sébastien Villemot ]
  * debian/dynare-matlab.postinst:
    Change the root directory of MEX source. (Closes: #630160)
  * debian/patches/doc-cleanup:
    Do not cleanup guide.bbl which is not autogenerated.
  * debian/patches/gcc-4.6:
    New patch for fixing problems with GCC 4.6.

 -- Thomas Weber <tweber@debian.org>  Wed, 15 Jun 2011 21:56:54 +0200

dynare (4.2.1-1) unstable; urgency=low

  [ Sébastien Villemot ]
  * New upstream release
  * patches/info-filename-and-category:
    Remove obsolete patch.
  * debian/control:
    - Update build dependency, to reflect the fact that the reference
      manual is now in texinfo format.
    - Bump Standards-Version to 3.9.2; no changes required.
    - Add build dependency on texlive-math-extra, for Dynare++ documentation.
  * debian/dynare-doc.doc-base.manual, debian/dynare-doc.docs:
    Update paths following renaming of reference manual.
  * debian/rules:
    Do not build info file, it comes with upstream tarball.
  * Use matlab-support package for MATLAB-specific logic: (Closes: #608919)
    - Remove all debconf stuff.
    - debian/control: remove debconf dependency, dynare-matlab now depends
      on matlab-support
    - debian/dynare-matlab.install:
      Install source files under the recommended location: /usr/src/matlab.
    - debian/dynare-matlab-postinst:
      Use debian-matlab-mexhelper script.
  * Package new Dynare Emacs mode:
    - debian/dynare-common.emacsen-{install,remove,startup}:
      New scripts.
    - debian/dynare-common.install:
      Install dynare.el at the right location.
  * debian/dynare-common.install:
    Adapt for removed files.
  * debian/patches/fhs-compliance:
    Refresh patch.
  * debian/patches/doc-cleanup:
    Patch for files missing from clean rules.

 -- Thomas Weber <tweber@debian.org>  Sat, 28 May 2011 21:21:32 +0200

dynare (4.2.0-1) unstable; urgency=low

  [ Vincent Crevot ]
  * New upstream release
  * debian/copyright:
    Updated to reflect upstream changes.
  * debian/control:
    - Bump boost dependency to 1.36.
    - Add boost dependency to dynare-matlab package.
    - Add gfortran dependency to dynare-matlab package.
    - Add dependency on texlive-generic-recommended which contains the epsf
      package needed by doc/parallel/parallel.tex.
    - Add dependency on docbook2x to build the info doc.
  * debian/rules:
    Build the info doc.
  * patches/extra-addpath:
    Refreshed patch.
  * debian/patches/build-matlab:
    Removed patch.
  * patches/info-filename-and-category:
    Rename info doc file and give it a directory category as per lintian.
  * debian/dynare-common.install:
    Install new matlab files.
  * debian/dynare-doc.info:
    Install info doc.
  * debian/dynare-matlab.install:
    Install MEX build system files.
  * debian/dynare-matlab.postinst:
    Use new MEX build system.

 -- Thomas Weber <tweber@debian.org>  Tue, 22 Feb 2011 20:28:53 +0100

dynare (4.1.3-1) unstable; urgency=low

  [ Iulian Udrea ]
  * New upstream bugfix release.
  * debian/control:
    - Add Iulian Udrea to Uploaders.
    - Bump Standards-Version to 3.9.1; no changes required.

 -- Thomas Weber <tweber@debian.org>  Mon, 07 Feb 2011 10:24:15 +0100

dynare (4.1.2-2) unstable; urgency=low

  * debian/po/da.po: new Danish debconf translation (closes: #589866)

 -- Thomas Weber <tweber@debian.org>  Sun, 15 Aug 2010 23:44:34 +0200

dynare (4.1.2-1) unstable; urgency=low

  * New upstream release
  * debian/copyright:
    Updated to reflect upstream changes.
  * debian/dynare-doc.examples:
    Use the new examples database.
  * debian/control:
    Update Standards-Version to 3.9.0, no additional changes needed.

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Mon, 05 Jul 2010 16:04:00 +0200

dynare (4.1.1-2) unstable; urgency=low

  * debian/po/es.po: new Spanish debconf translation (closes: #584455)

 -- Jordi Gutiérrez Hermoso <jordigh@gmail.com>  Sat, 05 Jun 2010 14:27:32 -0500

dynare (4.1.1-1) unstable; urgency=low

  [ Sébastien Villemot ]
  * New upstream release
  * debian/copyright:
    Updated for the new release.
  * debian/fhs-compliance,
    debian/build-matlab:
    Refreshed patches.
  * debian/dynare-matlab.postinst:
    Fixed bug with recent versions of MATLAB.

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Tue, 13 Apr 2010 23:01:40 +0200

dynare (4.1.0-2) unstable; urgency=low

  [ Sébastien Villemot ]
  * debian/control:
    + Update Standards-Version to 3.8.4, no additional changes needed.
    + Bump dependency on debhelper (>=7.0.50), because using override rules
      in debian/rules.
  * debian/watch:
    Update for new upstream website.
  * debian/rules:
    + Complete rewrite using override rules from debhelper.
    + No longer run the testsuite (too long, creates problems on some archs).
    + Use uscan in get-orig-source rule.
  * debian/patches/testsuite-fs2000,
    debian/patches/testsuite-blas-singularity:
    Removed patches, no longer necessary since we don't run the testsuite.

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 28 Feb 2010 20:19:50 +0100

dynare (4.1.0-1) unstable; urgency=low

  [ Sébastien Villemot ]
  * New upstream version
  * Add standalone dynare++ program to the package, with a dedicated manpage.
  * debian/patches/testsuite-octave3.2-crash-workaround,
    debian/patches/mcmcdiagnostics,
    debian/patches/manual-fix-for-debian,
    debian/patches/rows-name-clash:
    Removed patches, incorporated upstream.
  * debian/patches/build-matlab,
    debian/patches/extra-addpath,
    debian/patches/fhs-compliance,
    debian/patches/testsuite-fs2000:
    Refreshed patches.
  * debian/patches/testsuite-blas-singularity:
    New patch, avoids failure when Netlib BLAS is used instead of Atlas.
  * debian/copyright: rewritten using DEP-5 machine-readable format.
  * Switch to 3.0 (quilt) source format. As a consequence, removed
    debian/README.source.

  [ Thomas Weber ]
  * Bump dependency on dblatex to (>=0.2.12-3), to get a proper handling of
    backslashes in <filename>C:\windows</filename> elements.

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Fri, 15 Jan 2010 16:14:25 +0100

dynare (4.0.4-6) unstable; urgency=low

  [ Sébastien Villemot ]
  * debian/patches/testsuite-octave3.2-crash-workaround:
    Better workaround for bug #550823.
  * debian/po/ru.po:
    New Russian translation by Yuri Kozlov (closes: #552444).

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Tue, 27 Oct 2009 08:46:16 +0100

dynare (4.0.4-5) unstable; urgency=low

  * Pass --no-history flag to Octave at build time, to avoid writing to a
    non-existant directory (closes: #548572)

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Mon, 28 Sep 2009 22:28:29 +0200

dynare (4.0.4-4) unstable; urgency=low

  [ Sébastien Villemot ]
  * debian/control:
    + Depend on Octave 3.2 (>= 3.2.2, since 3.2.0 has a buggy 'which').
    + Add a build conflict with octave3.0.
    + Update Standards-Version to 3.8.3, no additional changes needed.
    + Added missing dependency of dynare-matlab on dynare.
  * debian/copyright:
    Updated e-mail address of Marco Ratto.
  * debian/rules:
    No longer install rcond.m (rcond is now a primitive in Octave 3.2).
  * debian/README.Debian:
    Remove references to mark_as_command (no longer needed in Octave 3.2).
  * debian/patches/mcmcdiagnostics:
    New patch for bug in metropolis-hastings diagnostics routine.
  * debian/patches/testsuite-octave3.2-crash-workaround:
    New patch implementing workaround for weird Octave 3.2.2 bug.

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 24 Sep 2009 21:45:31 +0200

dynare (4.0.4-3) unstable; urgency=low

  * debian/po/cs.po:
    New Czech translation by Martin Sin (closes: #535979)
  * debian/po/de.po:
    New German translation by Helge Kreutzmann (closes: #538235)
  * debian/po/pt.po:
    Updated Portuguese translation by Rui Branco (closes: #541101)

 -- Christian T. Steigies <cts@debian.org>  Fri, 14 Aug 2009 18:43:02 +0200

dynare (4.0.4-2) unstable; urgency=low

  [ Sébastien Villemot ]
  * debian/control: Added missing build dependency on gnuplot-nox

 -- Christian T. Steigies <cts@debian.org>  Fri, 03 Jul 2009 20:09:03 +0200

dynare (4.0.4-1) unstable; urgency=low

  [ Sébastien Villemot ]
  * New upstream release:
    + debian/patches/bashisms-in-makefiles:
      - Dropped, incorporated upstream.
    + debian/patches/table-name-clash:
      - Dropped, incorporated upstream.
    + debian/patches/build-matlab:
      - Refreshed patch.
    + debian/dynare-matlab.install:
      - Added new source header for MEX files.
    + debian/rules:
      - Fixed get-orig-source rule.
  * debian/control:
    + Update Standards-Version to 3.8.2, no additional changes needed.
  * debian/rules:
    + Exercise the testsuite in the build rule.
  * debian/patches/testsuite-fs2000:
    + New patch diminishing the computation time of the testsuite.
  * debian/po/sv.po:
    + New Swedish translation contributed by Martin Bagge. (Closes: #533891)
  * debian/dynare-matlab.postinst:
    + Added -p option to mkdir for idempotence.
  * Added example MOD files in dynare-doc package:
    + debian/dynare-doc.examples:
      - New file.
    + debian/README.Debian:
      - Updated to mention the presence of examples in dynare-doc package.

  [ Christian T. Steigies ]
  * remove Rafael from uploaders, added Thomas and myself

 -- Christian T. Steigies <cts@debian.org>  Thu, 02 Jul 2009 22:41:37 +0200

dynare (4.0.3-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Switch the Vcs-* fields to the new Git repository

  [ Sébastien Villemot ]
  * dynare-matlab: new contrib binary package aimed at MATLAB users. Contains
    the MEX files source code. The postinst script builds them on the user
    machine.
  * manual-fix-for-debian: new patch for reference manual

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 25 May 2009 21:44:20 +0200

dynare (4.0.3-1) unstable; urgency=low

  * Initial release. (Closes: #518472)

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Tue, 24 Mar 2009 14:15:56 +0100
